Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 12/18/2019 in all areas

  1. to get you on your way (defun c:t1 ( / w l p1 p2 ss d ) (setq w (getreal "\nEnter width factor") l (getint "\nLength of string") p1 (getpoint "\nSelect first corner : ") p2 (getcorner p1 "\nSecond corner : ")) (if (and w l p1 p2 (setq ss (ssget "_C" p1 p2 (list '(0 . "TEXT") (cons 1 (make? l)))))) (foreach e (SS->Lst ss) (setq d (entget e))(setq d (mod 41 w d))(entmod d)(entupd e))(princ"\nNothing selected")) (princ) ) (defun make? ( i / s ) (setq s "")(repeat i (setq s (strcat s "?"))) s) (defun SS->Lst (ss / i l) (setq i 0 l '()) (repeat (sslength ss)(setq l (cons (ssname ss i) l) i (1+ i))) l) (defun mod (c v d) (if (assoc c d) (setq d (subst (cons c v)(assoc c d) d))(setq d (append d (list (cons c v))))))
    1 point
  2. In windows explorer right-click on a .dwg file and select the "open with" option this should give you a list of the various programs you have installed that will open that type of file, just select the program (and version) you want as default. Alternatively you could go into windows settings and set the default there see section 4 on this webpage.
    1 point
  3. It may be as simple as missing (vl-load-com) put as 1st line.
    1 point
  4. I have moved your thread to the AutoLISP, Visual LISP & DCL Forum. Please post your questions in the most appropriate forum in the future. Please post all code in "Code Tags".
    1 point
  5. Something like (defun c:Burnbot ( / ) (defun GetN ( / ) (princ "\nHello there.") (princ) (setq ans (getstring "\nHey what's your name big guy?")) ) (defun Insult (ans / que an mrk ) (setq que "\nWhat kind of a name is ") (princ "\nInsult Loading...") (princ (Strcat que " " ans " ?")) (princ "\n") (princ "\nInsult Loading...") ) (GetN) (If (/= ans nil ) (Insult ans) (Alert "\nWhat kind of a name is nil ?") ) (princ) )
    1 point
×
×
  • Create New...